SystemOrganization addCategory: #'SeasideGallery-Views'!
SystemOrganization addCategory: #'SeasideGallery-Model'!
SystemOrganization addCategory: #'SeasideGallery-Util'!

WAComponent subclass: #SgComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgComponent class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:00:40.581'!
appName

	^ 'Seaside Gallery'! !

!SgComponent class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:01:00.834'!
styleSheet

	^ 'style.css'! !

!SgComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:06:28.656'!
updateRoot: anHtmlRoot
 
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: self class appName.
	anHtmlRoot stylesheet url: SgFilePool / self class styleSheet! !

SgComponent subclass: #SgLogin
	instanceVariableNames: 'username password messageComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 15:13:37.855'!
children

	^ Array with: self messageComponent.! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:39:06.554'!
initialize

	super initialize.
	self messageComponent: SgMessage new..! !

!SgLogin methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:12:28.307'!
messageComponent
	^ messageComponent! !

!SgLogin methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:12:28.313'!
messageComponent: anObject
	messageComponent := anObject! !

!SgLogin methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:19:29.322'!
password
	^ password! !

!SgLogin methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:19:29.334'!
password: anObject
	password := anObject! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:20:38.925'!
renderContentOn: html

	html form: 
		[self
			renderHeadingOn: html;
			renderMessageComponentOn: html;
			renderUserNameOn: html;
			renderPasswordInputOn: html;
			renderSubmitButtonOn: html;
			renderRegisterLinkOn: html].! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 10:24:13.242'!
renderHeadingOn: html

	html heading: 'Login'! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:43:49.309'!
renderMessageComponentOn: html

	html render: self messageComponent.! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:07:42.084'!
renderPasswordInputOn: html

	html div with:
		[ html span 
			class: 'label'; 
			with: 'Password'.
		html span with:
			[ html passwordInput on: #password of: self ]].! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:55:05.574'!
renderRegisterLinkOn: html

	html anchor 
		callback: [self answer: #registerUser];
		with: 'Register'.! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 15:02:51.709'!
renderSubmitButtonOn: html

	html submitButton
		callback: [self tryToLogin];
		with: 'Login'.! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:23:58.113'!
renderUserNameOn: html

	html div with:
		[ html span 
			class: 'label'; 
			with: 'Username'.
		html span with:
			[ html textInput 
				on: #username 
				of: self ]].! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:38:35.528'!
tryToLogin

	| user |
	user := self validateLogin.
	(user isNil)
		ifTrue: [self messageComponent showMessage: 'Wrong password or username']
		ifFalse: [self answer: user].! !

!SgLogin methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:24:57.732'!
username

	^ username! !

!SgLogin methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:25:05.219'!
username: anObject

	username := anObject! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:13:29.039'!
validateLogin

	| user passwordIsValid |
	user := SgUser 
		find: [ :each | each username = self username]
		ifAbsent: [^ nil].
	passwordIsValid := (user validatePassword: self password).
	passwordIsValid
		ifTrue: [^ user]
		ifFalse: [^ nil]! !

SgComponent subclass: #SgRegister
	instanceVariableNames: 'user password repeatedPassword messageComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:54:03.357'!
doPasswordsCorrespond

	^ self password = self repeatedPassword! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:39:06.564'!
initialize

	super initialize.
	self
		user: SgUser new;
		messageComponent: SgMessage new..! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:06:26.647'!
isNewUserValid

	^ self isUserDataCompleted and:
		[ self isUsernameAvailable and:
			[self doPasswordsCorrespond]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:09:00.003'!
isUserDataCompleted

	self user username ifEmpty: [^ false].
	self user firstName ifEmpty: [^ false].
	self user lastName ifEmpty: [^ false].
	self password ifEmpty: [^ false].
	self repeatedPassword ifEmpty: [^ false].
	^ true! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:56:04.777'!
isUsernameAvailable

	SgUser
		find: [ :each | each username = self user username]
		ifAbsent: [ ^ true ].
	^ false
	! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:59:44.385'!
messageComponent
	^ messageComponent! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:59:44.393'!
messageComponent: anObject
	messageComponent := anObject! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.746'!
password
	^ password! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.756'!
password: anObject
	password := anObject! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:11:00.188'!
registerUser

	self isNewUserValid
		ifTrue:
			[self
				user password: self password;
				save.
			self answer: self user]
		ifFalse:
			[self messageComponent showMessage: 'Try again']! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:02:18.841'!
renderContentOn: html

	html form: 
		[self
			renderMessageComponentOn: html;
			renderUsernameInputOn: html;
			renderFirstNameInputOn: html;
			renderLastNameInputOn: html;
			renderPasswordInputOn: html;
			renderRepeatedPasswordInputOn: html;
			renderSubmitButtonOn: html]. ! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:14:23.208'!
renderFirstNameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'First name'.
		html span with: 
			[html textInput
				on: #firstName
				of: self user]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:14:50.929'!
renderLastNameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Last name'.
		html span with: 
			[html textInput
				on: #lastName
				of: self user]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:02:20.497'!
renderMessageComponentOn: html

	html render: self messageComponent.! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:51:39.698'!
renderPasswordInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Password'.
		html span with: 
			[html passwordInput
				on: #password
				of: self]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:09:53.059'!
renderRepeatedPasswordInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Password repetition'.
		html span with: 
			[html passwordInput
				on: #repeatedPassword
				of: self]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:04:17.451'!
renderSubmitButtonOn: html

	html submitButton
		callback: [self registerUser];
		with: 'Register'! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:12:45.942'!
renderUsernameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Username'.
		html span with: 
			[html textInput
				on: #username
				of: self user]]! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.766'!
repeatedPassword
	^ repeatedPassword! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.774'!
repeatedPassword: anObject
	repeatedPassword := anObject! !

!SgRegister methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:05:19.059'!
user

	^ user
! !

!SgRegister methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:05:19.069'!
user: aSgUser

	user := aSgUser
! !

SgComponent subclass: #SgRoot
	instanceVariableNames: 'head menu desk foot'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.731'!
desk
	^ desk! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.737'!
desk: anObject
	desk := anObject! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.743'!
foot
	^ foot! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.749'!
foot: anObject
	foot := anObject! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.703'!
head
	^ head! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.713'!
head: anObject
	head := anObject! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:55:56.725'!
initialize

	super initialize.
	self 
		initializeHead;
		initializeMenu;
		initializeDesk;
		initializeFoot.! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:38:11.514'!
initializeDesk

	self desk: SgDesk new.! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:38:26.121'!
initializeFoot

	self foot: SgFoot new.! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:38:36.86'!
initializeHead

	self head: SgHead new.! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:38:49.735'!
initializeMenu

	self menu: (SgMenu new 
		addEntry: 'Logout' withAction: [self logout];
		yourself).
	! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:29:17.817'!
logout

	self session logout.
	self answer.! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.719'!
menu
	^ menu! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.725'!
menu: anObject
	menu := anObject! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:12:47.593'!
renderContentOn: html

	html
		render: self head;
		render: self menu;
		render: self desk;
		render: self foot.! !

WAComponent subclass: #SgDesk
	instanceVariableNames: 'currentComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgDesk methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:01:39.318'!
currentComponent
	^ currentComponent! !

!SgDesk methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:01:39.329'!
currentComponent: anObject
	currentComponent := anObject! !

!SgDesk methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 13:46:07.485'!
initialize

	super initialize.
	self currentComponent: SgGalleryComponent new.! !

!SgDesk methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:16:27.353'!
renderContentOn: html

	html render: self currentComponent.! !

WAComponent subclass: #SgFoot
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgFoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:57:52.463'!
renderConentOn: html

	html div 
		id: 'head';
		with: [self renderDisclaimerOn: html].! !

!SgFoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:58:29.62'!
renderDisclaimerOn: html

	html paragraph with: 'Developed for the Bachelorproject H-1'.! !

WAComponent subclass: #SgHead
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgHead methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:59:03.325'!
renderContentOn: html

	html div
		class: 'head';
		with: [self renderLogoOn: html].! !

!SgHead methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:00:24.721'!
renderLogoOn: html
	"should be exchanged with an image!!"
	html heading: 'Seaside Gallery'.! !

WAComponent subclass: #SgMenu
	instanceVariableNames: 'entries'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 13:59:12.813'!
addEntry: aString withAction: aBlock

	^ self entries add: aString -> aBlock.! !

!SgMenu methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:03:14.77'!
entries

	^ entries! !

!SgMenu methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:04:18.912'!
entries: anOrderedCollection

	entries := anOrderedCollection! !

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:04:35.857'!
initialize

	super initialize.
	self entries: OrderedCollection new.! !

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:06:34.637'!
renderContentOn: html

	html div
		class: 'menu';
		with: [self renderNavigationOn: html]! !

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:28:13.474'!
renderMenuItemsOn: html

	self entries do: 
		[ :each |
			html anchor
				callback: each value;
				with: each key].! !

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:15:42.931'!
renderNavigationOn: html

	html orderedList with: [self renderMenuItemsOn: html].! !

WAComponent subclass: #SgMessage
	instanceVariableNames: 'message isVisible'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMessage methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:53.243'!
hide
	self isVisible: false! !

!SgMessage methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:35:32.513'!
initialize

	super initialize.
	self hide! !

!SgMessage methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:15.637'!
isVisible
	^ isVisible! !

!SgMessage methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:15.647'!
isVisible: anObject
	isVisible := anObject! !

!SgMessage methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:06:59.308'!
message
	^ message! !

!SgMessage methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:06:59.321'!
message: anObject
	message := anObject! !

!SgMessage methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:44:20.379'!
renderContentOn: html

	self isVisible
		ifFalse: [^ self]
		ifTrue: [self renderMessageOn: html]! !

!SgMessage methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:44:49.297'!
renderMessageOn: html

	html div 
		class: 'message';
		with: [html text: self message].! !

!SgMessage methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:46.202'!
show

	self isVisible: true! !

!SgMessage methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:39:38.342'!
showMessage: aMessage

	self
		show;
		message: aMessage! !

WAComponent subclass: #SgMetaEditor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMetaEditor methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:07'!
renderContentOn: html

	html text: 'Hallo'! !

WAComponent subclass: #SgUploader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgUploader class methodsFor: 'as yet unclassified' stamp: 'HK 10/28/2010 14:41:18.118'!
supportedFileTypes

	^ Array
		with: 'image/gif'
		with: 'image/png'
		with: 'image/jpeg'! !

!SgUploader methodsFor: 'as yet unclassified' stamp: 'HK 10/28/2010 14:40:21.575'!
fileTypeIsSupportedFor: aFile


	^ self class supportedFileTypes includes: (aFile contentType greaseString)
	! !

!SgUploader methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:49'!
initialize

	super initialize.
	self filePool: (SgFilePool new)! !

!SgUploader methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:50'!
renderContentOn: html

	self renderFormOn: html! !

!SgUploader methodsFor: 'as yet unclassified' stamp: 'HK 10/28/2010 15:50:27.31'!
renderFormOn: html

	html form multipart; with: [
		html fileUpload callback: [ :newFile |
			self uploadFile: newFile.
			].
		html submitButton: 'Upload'
		]! !

!SgUploader methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:17:01.131'!
uploadFile: aFile

	| uploadedPicture |
	(self fileTypeIsSupportedFor: aFile) ifTrue: 
		[self filePool addFile: aFile.
		uploadedPicture := SgImage new
			title: aFile fileName;
			fileName: aFile fileName.
		uploadedPicture save.]! !

SDActiveRecord subclass: #SgGallery
	instanceVariableNames: 'title owner isPublic created pictures'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgGallery methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 08:15'!
initialize

	super initialize.! !

!SgGallery methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 08:16'!
size! !

SDActiveRecord subclass: #SgImage
	instanceVariableNames: 'title fileName thumbnail'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgImage class methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:14'!
thumbnailSize

	^ 100! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 13:12'!
fileName
	^ fileName! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:13'!
fileName: anObject
	fileName := anObject! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:12'!
title: aString
	title := aString! !

SDActiveRecord subclass: #SgUser
	instanceVariableNames: 'hashedPassword username firstName lastName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgUser class methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:32:10.424'!
hashPassword: aString

	^ GRPlatform current secureHashFor: aString! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.603'!
firstName
	^ firstName! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.613'!
firstName: anObject
	firstName := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:30:18.923'!
hashedPassword
	^ hashedPassword! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:30:18.933'!
hashedPassword: anObject
	hashedPassword := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.623'!
lastName
	^ lastName! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.629'!
lastName: anObject
	lastName := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'HK 11/1/2010 16:11:54.201'!
password: aString

	self hashedPassword: (GRPlatform current secureHashFor: aString)! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:07:57.87'!
username
	^ username! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:08:02.341'!
username: anObject
	username := anObject! !

!SgUser methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 10:20:22.563'!
validatePassword: aString

	| passwordHash |
	passwordHash := self class hashPassword: aString.
	^ self hashedPassword = passwordHash! !

WAFileLibrary subclass: #SgFilePool
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgFilePool methodsFor: 'uploaded' stamp: 'HK 10/28/2010 14:30:30.173'!
reset

	self filenames do: [ :each |
		self removeFile: each
		]! !

!SgFilePool methodsFor: 'uploaded' stamp: 'HK 11/1/2010 22:09:17.79'!
styleCss
	^ '
	
	body {
		font-family: Verdana;
	}
	
	.message {
		color: red;
		padding: 10px;
		border: 1px solid grey;
	}
	
	.label {
		display: table-cell;
		width: 200px;
	}'! !

Object subclass: #SgDatabaseUtil
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Util'!

!SgDatabaseUtil class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:32:55.504'!
resetDatabase

	SgFilePool new reset.
	SgImage findAll do: [ :each | each delete ].
	SgGallery findAll do: [ :each | each delete ].! !

Object subclass: #SgFileHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Util'!

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:46:59.218'!
assureExistenceOfDefaultDirectory

	(self defaultDirectoryExists) ifFalse: [self createDefaultDirectory].! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:01:35.879'!
assureExistenceOfDirectories

	self 
		assureExistenceOfDefaultDirectory;
		assureExistenceOfImageDirectory.! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:46:51.707'!
assureExistenceOfImageDirectory

	(self imageDirectoryExists) ifFalse: [self createImageDirectory].! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:02:39.204'!
createDefaultDirectory

	FileDirectory default createDirectory: self defaultDirectoryName.! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:47:14.235'!
createImageDirectory

	self defaultDirectory createDirectory: self defaultImageDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:43:07.651'!
defaultDirectory

	^ FileDirectory default directoryNamed: self defaultDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:02:58.171'!
defaultDirectoryExists

	^ FileDirectory default directoryExists: self defaultDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:50:30.917'!
defaultDirectoryName

	^ 'SeasideGallery'! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:51:36.059'!
defaultFilePath

	^ self defaultDirectoryName, FileDirectory slash, self defaultImageDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:04:17.377'!
defaultImageDirectoryName

	^ 'Images'! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 17:16:27.058'!
fileNameWithoutExtensionFor: aFile

| index fileName |
fileName := aFile fileName.
index := fileName size - (fileName reversed indexOfAnyOf: '.').
^ fileName truncateTo: index.! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:43:51.584'!
imageDirectory

	^ self defaultDirectory directoryNamed: self defaultImageDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:46:24.396'!
imageDirectoryExists

	^ self defaultDirectory directoryExists: self defaultImageDirectoryName! !

!SgFileHandler methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:24:05.225'!
openAsFormFileNamed: aString

	^ PNGReadWriter formFromFileNamed: self class path, aString! !

!SgFileHandler methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:40:50.45'!
writeForm: aForm toFileNamed: aString 

	PNGReadWriter putForm: aForm onFileNamed: self class defaultFilePath, aString.! !

Object subclass: #SgInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Util'!

!SgInstaller class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:45:55.223'!
setup

	self 
		setupFileDirectory;
		setupApplication.! !

!SgInstaller class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:45:21.902'!
setupApplication

	| application |
	application := WAAdmin register: SgRootTask asApplicationAt: 'gallery'.
	application
		preferenceAt: #sessionClass put: SgSession;
		addLibrary: JQDeploymentLibrary;
		addLibrary: JQUiDeploymentLibrary! !

!SgInstaller class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:01:05.825'!
setupFileDirectory

	SgFileHandler assureExistenceOfDirectories.! !

WATask subclass: #SgRootTask
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRootTask class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:05:05.61'!
canBeRoot

	^ true! !

!SgRootTask methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:12:43.317'!
go

	self session isLoggedIn
		ifTrue: [self call: SgRoot new]
		ifFalse: [self handleLogin]! !

!SgRootTask methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:40:06.686'!
handleLogin

	| loginAnswer user |
	loginAnswer := self call: SgLogin new.
	loginAnswer = #registerUser 
		ifTrue: [user := self call: SgRegister new.]
		ifFalse: 
			[user := loginAnswer.
			self session login: user.
			self go].! !

WASession subclass: #SgSession
	instanceVariableNames: 'user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgSession methodsFor: 'accessing' stamp: 'LT 11/1/2010 11:40:20.637'!
isLoggedIn

	^ self user notNil! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 22:21:22.625'!
login: aUser

	self user: aUser.
	Transcript show: 'logged in ' , aUser username! !

!SgSession methodsFor: 'accessing' stamp: 'LT 11/1/2010 11:39:58.831'!
logout

	self user: nil.! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:12:21.321'!
user
	^ user! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:12:21.331'!
user: anObject
	user := anObject! !
